Skip to content

createFamily

Request

Bodyapplication/jsonrequired
codestring, [ 0 .. 20 ] charactersrequired

Unique code for the family.

Default:""
Example:"FAM-001"
descriptionstring, [ 0 .. 100 ] charactersrequired

Description of the family.

Default:""
Example:"Footwear"
parentinteger, (int32)

ID of the parent family. Null for root families.

Default:""
Example:1
subfamiliesArray of strings

List of subfamily codes to associate with this family.

Default:""
familyTypestring(ApiFamilyTypeEnum)

Type of the family: FAMILY or SUBFAMILY.

Default:""
Enum:"FAMILY""SUBFAMILY"
Example:"FAMILY"
POST
/api/v1/family
curl -i -X POST \
  https://api.prana.software/api/v1/family \
  -H 'Content-Type: application/json'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
descriptionstring

Description of the family.

Default:""
Example:"Footwear"
parentobject(ApiFamilyListReadDto)

Parent family details. Null if this is a root family.

Default:""
subfamiliesArray of objects(ApiFamilyListReadDto)

List of direct subfamilies.

Default:""
familyTypestring(ApiFamilyTypeEnum)

Type of the family: FAMILY or SUBFAMILY.

Default:""
Enum:"FAMILY""SUBFAMILY"
Example:"FAMILY"
Response
// No response example